#include <stdio.h>

int main() {
    int x;
    FILE *input = fopen("scpi.in", "r");
    FILE *output = fopen("scpi.out", "w");

    fscanf(input, "%d", &x);

    int start = 1, end = 2;
    int sum = start + end;
	int i;
    while (start < end) {
        if (sum == x) {
            fprintf(output, "%d=", x);
            for (i = start; i <= end; i++) {
                fprintf(output, "%d", i);
                if (i < end) {
                    fprintf(output, "+");
                }
            }
            break;
        } else if (sum < x) {
            end++;
            sum += end;
        } else {
            sum -= start;
            start++;
        }
    }

    if (start >= end) {
        fprintf(output, "%d:NOANSWER", x);
    }

    fclose(input);
    fclose(output);

    return 0;
}
